import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeOs } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbeOsService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaProbeOs[]> {
    return this.rpcService.call('MetaProbeOsService.readAll');
  }
}
